6.0.0-git
2019-03-19

[#12501] Icalendar.php vCard import case sensitive
Summary Icalendar.php vCard import case sensitive
Queue Horde Framework Packages
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester carlos.velasco (at) nimastelecom (dot) com
Created 2013-07-25 (2063 days ago)
Due
Updated 2015-03-09 (1471 days ago)
Assigned 2015-03-09 (1471 days ago)
Resolved 2015-03-09 (1471 days ago)
Milestone
Patch Yes

History
2015-03-09 18:44:42 Michael Rubinsky State ⇒ Resolved
 
2015-03-09 18:44:29 Michael Rubinsky Comment #13 Reply to this comment
Could be fixed in the past?
  I doubt it. The code that "uppers" the attributes has been there for 
years and years and years.

2015-03-09 18:41:14 carlos (dot) velasco (at) nimastelecom (dot) com Comment #12 Reply to this comment
I have just tested with Horde 5.2.4 and Turba 4.2.5 and imports works 
ok through web.

Could be fixed in the past? It has been more than 1 year since this report.
I should try through CardDAV, right now I don't know if the problem 
was present through web or CardDAV.


2015-03-09 17:12:19 Michael Rubinsky Comment #11
State ⇒ Feedback
Reply to this comment
Actually, looking at the import code in Turba, this isn't a problem at 
all. The example vCard file imports fine for me. We UPPER the needed 
values in Turba, so I'm not sure what the problem is here.


2015-03-09 16:51:52 Michael Rubinsky State ⇒ Assigned
 
2015-03-09 16:49:46 Git Commit Comment #10 Reply to this comment
Changes have been made in Git (master):

commit b790c81665df68ae5490702deec15a9ee08f726f
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Mon Mar 9 12:49:27 2015 -0400

     Revert "Bug: 12501 Parameter names and values are case insensitive."

     This broke unit tests.
     This reverts commit c9112bc51b29ea3f804cb647db1ebd826853b0bd.

  framework/Icalendar/lib/Horde/Icalendar.php |    2 +-
  1 files changed, 1 insertions(+), 1 deletions(-)

http://github.com/horde/horde/commit/b790c81665df68ae5490702deec15a9ee08f726f
2015-03-09 16:01:10 Michael Rubinsky Assigned to Michael Rubinsky
Taken from Jan Schneider
State ⇒ Resolved
 
2015-03-09 16:00:51 Git Commit Comment #9 Reply to this comment
Changes have been made in Git (master):

commit c9112bc51b29ea3f804cb647db1ebd826853b0bd
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Mon Mar 9 11:59:12 2015 -0400

     Bug: 12501 Parameter names and values are case insensitive.

  framework/Icalendar/lib/Horde/Icalendar.php |    2 +-
  1 files changed, 1 insertions(+), 1 deletions(-)

http://github.com/horde/horde/commit/c9112bc51b29ea3f804cb647db1ebd826853b0bd
2013-10-21 20:30:30 uwe (at) d2ux (dot) org Comment #8 Reply to this comment
Regarding the vCard 2.1 
"specification":http://www.imc.org/pdi/vcard-21.rtf I did some 
researches once again.

It is described in Section 2, that property names and property 
parameters can be defined as case insensitive:

<pre>
A property is the definition of an individual attribute describing the vCard.
A property takes the following form:
PropertyName [?;? PropertyParameters] ?:? PropertyValue
as shown in the following example:
TEL;HOME:+1-919-555-1234
A property takes the form of one or more lines of text. The specification of
property names and property parameters is case insensitive.
The property name can be one of a set of pre-defined strings.
</pre>

This fact is consistent with 
"RFC2426":http://www.ietf.org/rfc/rfc2426.txt (page 29 and 31). So a 
"vCard reader module" is meant to support both spellings.
2013-10-20 11:41:00 uwe (at) d2ux (dot) org Comment #7 Reply to this comment
Hello team,

as described in ticket #12561 the problem still exists. Defined fields 
(phone numbers) between Thunderbird and Horde are not synchronizing 
correctly.

Michael Rubinsky labeled my entry as a duplicate, as there is 
obviously a common problem (ticket #12501), which has got to be solved.

Michaels last input concerning this topic dated back at the end of 
July 2013 so that I want to ask, if there are any new realizings and 
if the problem is going to be solved soon.

Do you need any help from our side for support?

Thanks for your short update.

Best regards,
Uwe
2013-07-29 22:47:42 Michael Rubinsky Comment #6
Assigned to Jan Schneider
Taken from Michael Rubinsky
Reply to this comment
I'm not really sure the answer to upper() the values here 
unconditionally - there may be other parameters that *are* case 
sensitive or that should otherwise have the case preserved.

Assigning to Jan to look at.
2013-07-29 22:39:08 Michael Rubinsky Deleted Original Message
 
2013-07-29 22:37:32 Michael Rubinsky Comment #5
Assigned to Michael Rubinsky
State ⇒ Assigned
Reply to this comment
No, it doesn't. It says the *values* are case insensitive, not the 
parameter names.
...and it appears that I'm wrong. In this case these *are* the values 
it is talking about.

2013-07-29 22:32:47 Michael Rubinsky Comment #4
State ⇒ Not A Bug
Priority ⇒ 1. Low
Reply to this comment
The "WORK" telephone is imported ok. But the "home" one is not imported.
This is due to case sensitive.

RFC2426 states these should not be case sensitive:
No, it doesn't. It says the *values* are case insensitive, not the 
parameter names.


2013-07-25 16:42:36 carlos (dot) velasco (at) nimastelecom (dot) com Comment #3
New Attachment: vcard-2.patch Download
Reply to this comment
Simplest patch

2013-07-25 11:25:44 carlos (dot) velasco (at) nimastelecom (dot) com Comment #2
New Attachment: vcard.patch
Reply to this comment
The patch.

2013-07-25 11:24:47 carlos (dot) velasco (at) nimastelecom (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 3. High
Summary ⇒ Icalendar.php vCard import case sensitive
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ Yes
Reply to this comment
Trying to import a vCard in turba like this example:
===
BEGIN:VCARD
VERSION:3.0
N:;KKKK2
FN:KKKK2
TEL;TYPE=WORK:1111
TEL;TYPE=home:2222
X-MOZILLA-HTML:FALSE
END:VCARD
===

The "WORK" telephone is imported ok. But the "home" one is not imported.
This is due to case sensitive.

RFC2426 states these should not be case sensitive:
===
    tel-type     = "HOME" / "WORK" / "PREF" / "VOICE" / "FAX" / "MSG"
                 / "CELL" / "PAGER" / "BBS" / "MODEM" / "CAR" / "ISDN"
                 / "VIDEO" / "PCS" / iana-token / x-name
         ; Values are case insensitive
===

Attached is a patch to Icalendar,php to "upper" all param values to 
fix the problem. Although I don't know if this is the right place to 
fix this, it works.

Note: I really found this problem when debugging Sogo connector sync 
problems with Cardav in turba, but problem arise also when using 
manual import of vcard files.

Saved Queries